For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETGet class ability tree
      • GETGet class ability tree map
      • GETList aspects for a class
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesAbility & Aspect

Get class ability tree

GET
https://api.wynncraft.com/v3/ability/tree/:tree
GET
/v3/ability/tree/:tree
$curl https://api.wynncraft.com/v3/ability/tree/archer
1{
2 "archetypes": {
3 "archetype": {
4 "name": "Archetype",
5 "description": "Description",
6 "shortDescription": "Test",
7 "icon": {
8 "value": {
9 "id": "minecraft:potion",
10 "name": "abilityTree.archetype",
11 "customModelData": {
12 "rangeDispatch": [
13 193
14 ]
15 }
16 },
17 "format": "attribute",
18 "name": "abilityTree.archetype"
19 },
20 "slot": 29
21 }
22 },
23 "pages": {
24 "1": {
25 "abilityOne": {
26 "name": "Ability 1",
27 "icon": {
28 "value": {
29 "id": "minecraft:potion",
30 "name": "abilityTree.nodeBlue",
31 "customModelData": {
32 "rangeDispatch": [
33 178
34 ]
35 }
36 },
37 "format": "attribute"
38 },
39 "slot": 4,
40 "coordinates": {
41 "x": 5,
42 "y": 1
43 },
44 "description": [
45 "Line 1",
46 "Line 2"
47 ],
48 "requirements": {
49 "ABILITY_POINTS": 1
50 },
51 "links": [
52 "abilityTwo"
53 ],
54 "locks": null,
55 "page": 1
56 },
57 "abilityTwo": {
58 "name": "Ability 2",
59 "icon": {
60 "value": {
61 "id": "minecraft:potion",
62 "name": "abilityTree.nodeWhite",
63 "customModelData": {
64 "rangeDispatch": [
65 158
66 ]
67 }
68 },
69 "format": "attribute"
70 },
71 "slot": 22,
72 "coordinates": {
73 "x": 5,
74 "y": 3
75 },
76 "description": [
77 "Line 1",
78 "Line 2"
79 ],
80 "requirements": {
81 "ABILITY_POINTS": 1
82 },
83 "links": [
84 "abilityOne"
85 ],
86 "locks": null,
87 "page": 1
88 }
89 }
90 }
91}
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Ability and aspect responses use the [API Markup parser](/welcome#api-markup-parser). Use these endpoints together to render a player ability tree like the in-game view: - [GET /ability/tree/{tree}](api:GET/ability/tree/{tree}) - [GET /ability/map/{tree}](api:GET/ability/map/{tree}) - [GET /player/{username}/characters/{uuid}/abilities](api:GET/player/{username}/characters/{uuid}/abilities)
Was this page helpful?
Previous

List item sets

Next

Get class ability tree map

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Ability and aspect responses use the API Markup parser.

Use these endpoints together to render a player ability tree like the in-game view:

  • GET /ability/tree/{tree}
  • GET /ability/map/{tree}
  • GET /player/{username}/characters/{uuid}/abilities

Path parameters

treeenumRequired
Allowed values:

Response

Ability tree definition.
archetypesmap from strings to objects
pagesmap from strings to maps from strings to objects

Errors

400
Bad Request Error